## OobsServicesConfig

OobsServicesConfig — Object that represents the configuration of services that start/stop during init/shutdown

## Functions

OobsObject * | oobs_services_config_get ()
OobsList * | oobs_services_config_get_services ()
GList * | oobs_services_config_get_runlevels ()
const OobsServicesRunlevel * | oobs_services_config_get_default_runlevel ()

## Types and Values

enum | OobsRunlevelRole
struct | OobsServicesRunlevel

## Object Hierarchy

        GEnum
        ╰── OobsRunlevelRole
        GObject
        ╰── OobsObject
            ╰── OobsServicesConfig

## Description

## Functions

### oobs_services_config_get ()

    OobsObject *
    oobs_services_config_get (void);

Returns the OobsServicesConfig singleton, which represents the services that are run during system init.

#### Returns

the singleton OobsServicesConfig object.

### oobs_services_config_get_services ()

    OobsList *
    oobs_services_config_get_services (OobsServicesConfig *config);

Returns an OobsList containing objects of type OobsService. The returned OobsList is locked, meaning that new elements can't be added nor removed.

#### Parameters

config | An OobsServicesConfig. |

#### Returns

an OobsList containing the services list.

### oobs_services_config_get_runlevels ()

    GList *
    oobs_services_config_get_runlevels (OobsServicesConfig *config);

Returns a list of OobsServicesRunlevel describing the available runlevels.

#### Parameters

config | An OobsServicesConfig. |

#### Returns

list of runlevels. the list must be freed with `g_list_free()`;

### oobs_services_config_get_default_runlevel ()

    const OobsServicesRunlevel *
    oobs_services_config_get_default_runlevel
                                   (OobsServicesConfig *config);

Returns the current runlevel.

#### Parameters

config | An OobsServicesConfig. |

#### Returns

An OobsServicesRunlevel describing the current runlevel. This value must not be freed, modified, or stored.

## Types and Values

### enum OobsRunlevelRole

#### Members

OOBS_RUNLEVEL_HALT |  |
OOBS_RUNLEVEL_REBOOT |  |
OOBS_RUNLEVEL_MONOUSER |  |
OOBS_RUNLEVEL_MULTIUSER |  |

### struct OobsServicesRunlevel

    struct OobsServicesRunlevel {
      gchar *name;
      guint role;
    };

## See Also

OobsService